Retrieve Agent Run Details
GET
/api/v1/workflow/{workflow_id}/runs/{run_id}cURL example
curl -X GET \
'https://app.intracord.hu/api/v1/workflow/{workflow_id}/runs/{run_id}' \
-H "X-API-Key: $INTRACORD_API_KEY"Parameters
| Name | Location | Type | Description |
|---|---|---|---|
workflow_idrequired | path | integer | — |
run_idrequired | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"workflow_id": {
"type": "integer",
"title": "Workflow Id"
},
"name": {
"type": "string",
"title": "Name"
},
"mode": {
"type": "string",
"title": "Mode"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"is_completed": {
"type": "boolean",
"title": "Is Completed"
},
"transcript_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Transcript Url"
},
"recording_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Recording Url"
},
"user_recording_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User Recording Url"
},
"bot_recording_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Bot Recording Url"
},
"transcript_public_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Transcript Public Url"
},
"recording_public_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Recording Public Url"
},
"user_recording_public_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User Recording Public Url"
},
"bot_recording_public_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Bot Recording Public Url"
},
"public_access_token": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Public Access Token"
},
"cost_info": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Cost Info"
},
"usage_info": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Usage Info"
},
"definition_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Definition Id"
},
"initial_context": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Initial Context"
},
"gathered_context": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Gathered Context"
},
"call_type": {
"$ref": "#/components/schemas/CallType"
},
"logs": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Logs"
},
"annotations": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Annotations"
}
},
"type": "object",
"required": [
"id",
"workflow_id",
"name",
"mode",
"created_at",
"is_completed",
"transcript_url",
"recording_url",
"cost_info",
"definition_id",
"call_type"
],
"title": "WorkflowRunResponseSchema"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}